AnsweredAssumed Answered

PI WebServices on Windows Server 2016

Question asked by bpkeating on May 15, 2018
Latest reply on May 16, 2018 by lmlcoch

I am upgrading my server environment and have been asked by our server team to move to Windows Server 2016. In looking at the documentation I see that 2012 R2 is support but it was last updated in 2013.

 

Is windows server 2016 supported?

I tried to install but I get a message saying that I must have IIS6 or higher installed. I have installed the IIS 6 management and script components.

 

 

The log shows the following error

[UNSUPPORTED_OPERATING_SYSTEMS]: 18 = X64

Setup module PI Web Services.msi is not supported on UNKNOWN_X64 operating systems.

IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {1BE1D11B-2953-4682-B11D-981A64EC7B00}. Returned error: 259

Module (PI Web Services 2012 SP1 v1.3.1.0) is not installed, but operating system is also not supported - skip installation.

--- >>> Setup Module 19

IsMSIInstalled> Unable to obtain Related Products for Upgrade Code {A07F6E76-F750-45C2-983A-87403EB7F796}. Returned error: 259

Module (PI Web Services 2012 SP1 (64-bit) v1.3.1.0) will be installed.

----------------------

Completed Verification checks for all modules.

InstallThread Error 1603. Installation of PI Web Services 2012 SP1 has failed.

Outcomes